Package org.apache.tomcat.util.http.fileupload

## Class FileUploadException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.tomcat.util.http.fileupload.FileUploadException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `FileCountLimitExceededException`, `InvalidContentTypeException`, `IOFileUploadException`, `SizeException`

      public class FileUploadException
      extends java.io.IOException

  Exception for errors encountered while processing the request.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileUploadException()` | Constructs a new `FileUploadException` without message.
    `FileUploadException​(java.lang.String msg)` | Constructs a new `FileUploadException` with specified detail message.
    `FileUploadException​(java.lang.String msg, java.lang.Throwable cause)` | Creates a new `FileUploadException` with the given detail message and cause.
    `FileUploadException​(java.lang.Throwable cause)` | Creates a new `FileUploadException` with the given cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileUploadException

          public FileUploadException()

      Constructs a new `FileUploadException` without message.

    - #### FileUploadException

          public FileUploadException​(java.lang.String msg)

      Constructs a new `FileUploadException` with specified detail message.
      Parameters:
        `msg` - the error message.

    - #### FileUploadException

          public FileUploadException​(java.lang.String msg,
                                     java.lang.Throwable cause)

      Creates a new `FileUploadException` with the given detail message and cause.
      Parameters:
        `msg` - The exceptions detail message.
        `cause` - The exceptions cause.

    - #### FileUploadException

          public FileUploadException​(java.lang.Throwable cause)

      Creates a new `FileUploadException` with the given cause.
      Parameters:
        `cause` - The exceptions cause.